# ionoscloud\_auto\_certificate\_provider

Manages a [CM provider](https://docs.ionos.com/cloud/network-services/certificate-manager).

## Example Usage

```hcl
resource "ionoscloud_auto_certificate_provider" "example" {
  name = "Let's Encrypt"
  email = "user@example.com"
  location = "de/fra"
  server = "https://acme-v02.api.letsencrypt.org/directory"
  external_account_binding {
    key_id = "some-key-id"
    key_secret = "secret"
  }
}
```

## Argument reference

* `name` - (Required)\[string] The name of the certificate provider.
* `email` - (Required)\[string] The email address of the certificate requester.
* `location` - (Optional)\[string] The location of the provider. Available locations: `de/fra`, `de/fra/2`.
* `server` - (Required)\[string] The URL of the certificate provider.
* `external_account_binding` - (Optional)\[list] External account binding details.
  * `key_id` - (Required)\[string] The key ID of the external account binding.
  * `key_secret` - (Required)\[string] The key secret of the external account binding

## Import

The resource can be imported using the `provider_id` and the `location`, separated by `:`, e.g.

```shell
terraform import ionoscloud_auto_certificate_provider.example location:provider_id
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/certificate_manager_provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
